#line 1 "C:/Users/Alexander Wolf/Documents/PROJEKTE/PROGRAMMIERUNG/PIC/TFT/TFT eigene Programme/Touch_Calibration_MMPlus_Board/Touch_Calibration_MMPlus_Board_Code/mikroC PRO for PIC32/Touch_Calibration_MMPlus_Board_main.c"
#line 1 "c:/users/alexander wolf/documents/projekte/programmierung/pic/tft/tft eigene programme/touch_calibration_mmplus_board/touch_calibration_mmplus_board_code/mikroc pro for pic32/touch_calibration_mmplus_board_objects.h"
typedef struct Screen TScreen;

typedef struct {
 unsigned int X_Min;
 unsigned int X_Max;
 unsigned int Y_Min;
 unsigned int Y_Max;
 char Rotate;
} TTPConstants;

typedef struct Label {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char *Caption;
 const char *FontName;
 unsigned int Font_Color;
 char Visible;
 char Active;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TLabel;

typedef struct Line {
 TScreen* OwnerScreen;
 char Order;
 unsigned int First_Point_X;
 unsigned int First_Point_Y;
 unsigned int Second_Point_X;
 unsigned int Second_Point_Y;
 char Pen_Width;
 char Visible;
 unsigned int Color;
} TLine;

struct Screen {
 unsigned int Color;
 unsigned int Width;
 unsigned int Height;
 unsigned int ObjectsCount;
 unsigned int LabelsCount;
 TLabel * const code *Labels;
 unsigned int LinesCount;
 TLine * const code *Lines;
};

extern TScreen Screen1;
extern TLabel Label1;
extern TLabel Label2;
extern TLabel Label3;
extern TLabel Label4;
extern TLabel X_Min;
extern TLabel X_Max;
extern TLabel Y_Min;
extern TLabel Y_Max;
extern TLabel Label5;
extern TLabel Label6;
extern TLine Line1;
extern TLabel * const code Screen1_Labels[10];
extern TLine * const code Screen1_Lines[1];








extern char Label1_Caption[];
extern char Label2_Caption[];
extern char Label3_Caption[];
extern char Label4_Caption[];
extern char X_Min_Caption[];
extern char X_Max_Caption[];
extern char Y_Min_Caption[];
extern char Y_Max_Caption[];
extern char Label5_Caption[];
extern char Label6_Caption[];
extern char Line1_Caption[];


void DrawScreen(TScreen *aScreen);
void DrawLabel(TLabel *ALabel);
void DrawLine(TLine *Aline);
void Check_TP();
void Start_TP();
void Process_TP_Press(unsigned int X, unsigned int Y);
void Process_TP_Up(unsigned int X, unsigned int Y);
void Process_TP_Down(unsigned int X, unsigned int Y);
#line 27 "C:/Users/Alexander Wolf/Documents/PROJEKTE/PROGRAMMIERUNG/PIC/TFT/TFT eigene Programme/Touch_Calibration_MMPlus_Board/Touch_Calibration_MMPlus_Board_Code/mikroC PRO for PIC32/Touch_Calibration_MMPlus_Board_main.c"
char txt_tmp[9];
TTPConstants CalibrateConstants;

void refresh_coordinates()
{

STMPE610_GetCalibrationConsts(&CalibrateConstants);

 LongWordToStrWithZeros(CalibrateConstants.X_Min, txt_tmp);
 strcpy(X_Min_Caption, txt_tmp);

 LongWordToStrWithZeros(CalibrateConstants.X_Max, txt_tmp);
 strcpy(X_Max_Caption, txt_tmp);

 LongWordToStrWithZeros(CalibrateConstants.Y_Min, txt_tmp);
 strcpy(Y_Min_Caption, txt_tmp);

 LongWordToStrWithZeros(CalibrateConstants.Y_Max, txt_tmp);
 strcpy(Y_Max_Caption, txt_tmp);
 DrawScreen(&Screen1);
}


void main() {

 Start_TP();
 Check_TP();
 refresh_coordinates();

}
